package com.xunmei.common.core.web.domain;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

/**
 * @author : 高雄
 * @date :2022/4/28 17:07
 * @description :
 * @modyified By:
 */
@Data
public class PageDto<T> {

    private Integer page = 0;

    private Integer size = 10;

    public Page<T> getPageDto(){
        Page<T> mePage = new Page<>();
        mePage.setCurrent(this.getPage());
        mePage.setSize(this.getSize());
        return mePage;
    }
}